Subject: Re: [GUILT PATCH 3/4] guilt-select: Select guards to apply when pushing patches

From: Eric Lesh <[email-masked]>
Date: Mon, 30 Jul 2007 00:02:26 -0700

Josef Sipek <[email-masked]> writes:

[...]

>> +if [ $# == 0 ]; then
>> +	if [ -s "$guards_file" ]; then
>> +		cat "$guards_file"
>
> Later on, for the -s option processing, you sort (presumably to have uniq do
> the right thing), should we sort here too to be consitent?
>

The $guards_file isn't really meant to be handed edited, and
guilt-select itself sorts before it stores them in the guards file.  I could
sort it again on printing, but don't think it's necessary.

>> +
>> +case $1 in
>> +	-n|--none)
>> +		rm -f "$guards_file"
>> +		touch "$guards_file"
>
> Since guilt-init doesn't create the guards file, I'm thinking that this
> should be just a rm -f ...

Should guilt-init create it?  I added $guards_file to guilt(7), so not
seeing it might freak Documentation-conscious readers out?

	Eric